cots1/urls.py
from django.conf.urls import url
from django.views.generic.base import RedirectView
from .views import *
#url for app
app_name = 'cots1'

urlpatterns = [
	url(r'^$', RedirectView.as_view(url='cots1/', permanent = False), name='$'),
    url(r'cots1/', index, name='index'),
]

lab_2/urls.py
from django.conf.urls import url
from django.views.generic.base import RedirectView
from .views import *
#url for app
app_name = 'lab_2'

urlpatterns = [
	url(r'^$', RedirectView.as_view(url='weather/', permanent = False), name='$'),
    url(r'weather/', index, name='index'),
]

law_assigment/urls.py
from django.contrib import admin
from django.urls import path, include
import lab_2.urls as lab_2
import cots1.urls as cots1

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include(lab_2, namespace='lab_2')),
    path('cots1/', include(cots1, namespace='cots1')),
]

cots1/models.py
from django.db import models

# Create your models here.

lab_2/models.py
from django.db import models

# Create your models here.

cots1/views.py
from django.shortcuts import render

import requests
import json

# Create your views here.
def index(request):
    response = {}
    if (request.method == 'POST'):
        try:
            param1 = int(request.POST['param1'])
            param2 = int(request.POST['param2'])
            response['param1'] = param1
            response['param2'] = param2
            response['jumlah'] = param1 + param2
            response['kurang'] = param1 - param2
            response['kali'] = param1 * param2
        except:
            response['error'] = "parameter ada yang bukan integer"
    return render(request, 'cots1.html', response)

lab_2/views.py
from django.shortcuts import render
import requests
import json

# Create your views here.
def index(request):
    response = {}
    if (request.method == 'POST'):
        kota = request.POST['kota']
        if (kota == ""):
            return render(request, 'home.html', response)
        url = "https://www.metaweather.com/api/location/search/?query=" + str(kota)
        resp = requests.get(url)
        content = json.loads(resp.text)
        listItems = []
        for item in content:
            woeid = item['woeid']
            specificUrl = "https://www.metaweather.com/api/location/" + str(woeid)
            specificResp = requests.get(specificUrl)
            specificContent = json.loads(specificResp.text)
            listItems.append(specificContent)
        response['items'] = listItems
    return render(request, 'home.html', response)

templates/base.html
{% load static %}
<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="theme-color" content="#342345">
  <title> {% block title %} LAW of KEMAS {% endblock %}</title>
  <link rel="icon" type="image/png" href="{% static 'images/favicon/bis.png' %}">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" type="text/css">
  <link href='https://fonts.googleapis.com/css?family=Raleway:900|Raleway' rel='stylesheet'>
  <!-- <link rel='stylesheet' href='https://use.fontawesome.com/releases/v5.5.0/css/all.css' integrity='sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU' crossorigin='anonymous'> -->
  <!-- <link rel="stylesheet" href="{% static 'css/theme.css' %}"" type="text/css"> -->
  <!-- <link rel="stylesheet" type="text/css" href="{% static 'css/sibukola.css' %}"> -->
  <meta name="viewport" content="initial-scale=1.0, width=device-width" />

  {% block css %}
      
  {% endblock %}
</head>

<body onload="fadeOut()">
  <div class="se-pre-con"></div>
  <header>
  <!-- navbar -->
  {% block header %}
  {% include "partials/header.html" %}
  {% endblock %}
</header>
<content>
  <!-- content -->

    {% block content %}
    {% endblock %}
 
</content>
<footer>
  {% block footer %}
  {% include "partials/footer.html" %}
  {% endblock %}
</footer>
  <!-- <style type="text/css">
    .se-pre-con {
      position: fixed;
      left: 0px;
      top: 0px;
      width: 100%;
      height: 100%;
      z-index: 9999;
      background: url("{% static 'images/gif/loading.gif' %}") center no-repeat rgb(255, 225, 0);
    }
  </style> -->

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script language="javascript" type="text/javascript">
    function fadeOut()
        {
            var elements = document.getElementsByClassName("se-pre-con");
            var element = elements[0];

            element.style.opacity -= 0.1;
            if(element.style.opacity <= 0.0) {
                element.parentNode.removeChild(element);
                element.style.opacity == 0.0;
            } else {
                setTimeout("fadeOut()", 100);
            }
        }
  </script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
  <!-- <script src="{% static 'js/fungsi.js' %}"></script> -->
  <!-- <script src="{% static 'js/jadwal.js' %}"></script> -->
  <!-- <script src="{% static 'js/rute.js' %}"></script> -->
  {% block javascript %}
  {% endblock %}
</body>

</html>

templates/cots1.html
{% extends "base.html" %}
{% load static %}
{% block css %}
    <!-- <link rel="stylesheet" type="text/css" href="{% static 'css/Home.css' %}"> -->
{% endblock %}

{% block content %}
<section name="container" id="home" class="content">
  <h2>COTS 1</h2>
  <form id="form" name="form" method="POST" action="{% url 'cots1:index' %}">
    {% csrf_token %}
    <input type="text" name="param1" placeholder="Parameter pertama" required><br>
    <input type="text" name="param2" placeholder="Parameter kedua" required><br>
    <button type="submit">Submit</button>
  </form>

  {% if error %}
    <h3>TERDAPAT ERROR, PARAMETER HARUS INTEGER</h3>
  {% else %}
    <h3>PARAMETER 1: {{ param1 }}</h3>
    <h3>PARAMETER 2: {{ param2 }}</h3>
    <h4>Hasil Penjumlahan: {{ jumlah }}</h4>
    <h4>Hasil Pengurangan: {{ kurang }}</h4>
    <h4>Hasil Pengalian: {{ kali }}</h4>
  {% endif %}

</section>
{% endblock %}

{% block javascript %}
{% endblock %}

templates/home.html
{% extends "base.html" %}
{% load static %}
{% block css %}
    <!-- <link rel="stylesheet" type="text/css" href="{% static 'css/Home.css' %}"> -->
{% endblock %}

{% block content %}
<section name="container" id="home" class="content">
  <h2>LAPORAN CUACA</h2>
  <form id="form" name="form" method="POST" action="{% url 'lab_2:index' %}">
    {% csrf_token %}
    <input type="text" name="kota" placeholder="Nama Tempat"><br>
    <button type="submit">Submit</button>
  </form>

  {% if items %}
  <div class="items">
    {% for item in items %}
    <div class="item" style="margin-top: 10px; margin-bottom: 10px; border: 2px solid black;">
      <p>Nama Tempat: {{ item.title }}</p>
      <p>Tipe: {{ item.location_type }}</p>
      <p>Latt Long: {{ item.latt_long }}</p>
      <p>Zona Waktu: {{ item.timezone }}</p>
      {% for weather in item.consolidated_weather %}
      <p>Pada tanggal {{ weather.applicable_date }}:</p>
      <p>&ensp;Cuacanya {{ weather.weather_state_name }}</p>
      <p>&ensp;Rata-rata temperatur {{ weather.the_temp }}&#8451;</p>
      <p>&ensp;Kelembabannya {{ weather.humidity }} %</p>
      {% endfor %}
    </div>
    {% endfor %}
  </div>
  {% endif %}
</section>
{% endblock %}

{% block javascript %}
{% endblock %}